Part Ellipsoid/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(One intermediate revision by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu}}


{{Docnav
{{Docnav
Line 10: Line 9:
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}



<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 21: Line 19:
</div>
</div>


A [[Image:Part_Ellipsoid.svg|24px]] '''Part Ellipsoid''' is a parametric solid that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.
The [[Image:Part_Ellipsoid.svg|24px]] [[Part_Ellipsoid|Part Ellipsoid]] command creates a parametric Ellipsoid solid.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of an ellipsoid by changing its {{PropertyData|Angle3}} property.

[[Image:Part_Ellipsoid_Example.png|400px]]

== Usage ==

See [[Part_Primitives#Usage|Part Primitives]].

== Example ==

[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]

A Part Ellipsoid object created with the [[#Scripting|scripting example]] below is shown here.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Proprietăți==
Forma produsă este limitată în FreeCAD ca fiind un sferoid solid (opțional trunchiat), forma pe care ați crea-o prin rotirea unei elipse în jurul axei sale. Implicit este a [http://en.wikipedia.org/wiki/Oblate_spheroid oblate_spheroid], forma pe care ați crea-o prin rotirea unei elipse în jurul axei sale minore. Parametrii pot fi modificați pentru a forma a[http://en.wikipedia.org/wiki/Prolate_spheroid prolate_spheroid].
</div>
</div>


See also: [[Property_editor|Property editor]].
<div class="mw-translate-fuzzy">
Sferoidul implicit din FreeCAD va avea un cerc pentru orice secțiune transversală paralelă cu planul xy. Secțiunea transversală paralelă cu celelalte două planuri va fi o elipsă.
</div>


A Part Ellipsoid object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
În mathematică, un [http://en.wikipedia.org/wiki/Ellipsoid Ellipsoid] ar avea o secțiune eliptică în toate cele trei planuri.


==Usage==
=== Data ===


{{TitleProperty|Attachment}}
A parametric Ellipsoid solid is available from the Create Primitives dialogue in the Part workbench.
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part_Workbench|Part Workbench]]
# Access the Ellipsoid command several ways:
#* Through the Create Primitives dialogue, pressing the [[Image:Part_Primitives.svg|32px]] [[Part_Primitives|Primitives]] button located in the Part toolbar
#* Using the {{MenuCommand|Part → [[Part_Primitives|Create primitives]] → Ellipsoid}} entry in the Part menu


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
==Proprietăți==


{{TitleProperty|Ellipsoid}}
* Radius 1, implicit semiaxa minoră paralelă la axa Z,
* Radius 2, implicită semiaxa majoră paralelă la planul XY,
este, de asemenea, raza maximă a secțiunii circulare
* Angle 1, trunchierea inferioară a elipsoidului, paralelă cu secțiunea transversală circulară (-90 grade într-un sferic complet)
* Angle 2, trunchierea superioară a elipsoidului, paralelă cu secțiunea transversală circulară (90 de grade într-un sferic complet)
* Angle 3, unghiul de rotație a secțiunii transversale eliptice (360 degrees in a full spheroid)


* {{PropertyData|Radius1|Length}}: The radius of the ellipsoid in its Z direction. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the ellipsoid in its X direction. The default is {{Value|4mm}}.
* {{PropertyData|Radius3|Length}}: The radius of the ellipsoid in its Y direction. The default is {{Value|4mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt;&#61; value &lt; 90°}}. Must be smaller than {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt; value &lt;&#61; 90°}}. Must be larger than {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the elliptical sides is smaller than {{Value|180°}} the ellipsoid will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of the ellipsoid in its XY plane. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of an ellipsoid.


== Scripting ==
[[Image:Part_Ellipsoid_screenshot.jpg]]

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Ellipsoid can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
}}

* Where {{Incode|"myEllipsoid"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()
}}




Line 63: Line 100:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:07, 3 March 2022

Part Ellipsoid

Menu location
Part → Create Primitives → Ellipsoid
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
..

Descriere

Un solid parametric este Elipsoidul care este disponibil din dialogul Create Primitives în Atelierul de lucru Part.

A Part Ellipsoid is a parametric solid that can be created with the Part Primitives command. In the coordinate system defined by its DatePlacement property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its DateAngle1 and/or DateAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DateAngle3 property.

Usage

See Part Primitives.

Example

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Proprietăți

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DateRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DateRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DateRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DateAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DateAngle2. The default is -90°.
  • DateAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DateAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DateAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()